Skip to main content
GET
/
projects
/
{project_id}
/
screenshots
/
{id}
/
markers
cURL
curl "https://api.phrase.com/v2/projects/:project_id/screenshots/:id/markers?branch=my-feature-branch" \
  -u USERNAME_OR_ACCESS_TOKEN
phrase screenshot_markers list \
--project_id <project_id> \
--branch my-feature-branch \
--id <id> \
--access_token <token>
import requests

url = "https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}/markers"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.phrase.com/v2/projects/{project_id}/screenshots/{id}/markers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "d2e056aa9e70b01121f41693e344f5ee",
    "presentation": {
      "x": 10,
      "y": 10,
      "w": 10,
      "h": 10
    },
    "presentation_type": "default",
    "created_at": "2015-01-28T09:52:53Z",
    "updated_at": "2015-01-28T09:52:53Z",
    "translation_key": {
      "id": "abcd1234cdef1234abcd1234cdef1234",
      "name": "home.index.headline",
      "description": "My description for this key...",
      "name_hash": "1b31d2580ce324f246f66b3be00ed399",
      "plural": false,
      "tags": [
        "awesome-feature",
        "needs-proofreading"
      ],
      "data_type": "string",
      "created_at": "2015-01-28T09:52:53Z",
      "updated_at": "2015-01-28T09:52:53Z"
    }
  }
]

Authorizations

Authorization
string
header
required

Enter your token in the format token TOKEN

Headers

X-PhraseApp-OTP
string

Two-Factor-Authentication token (optional)

Path Parameters

project_id
string
required

Project ID

id
string
required

ID

Query Parameters

page
integer

Page number

per_page
integer

Limit on the number of objects to be returned, between 1 and 100. 25 by default

branch
string

specify the branch to use

Response

OK

id
string
presentation
object

Coordinates and size of the marker on the screenshot, in pixels.

presentation_type
string

Marker presentation style. The default value is default.

created_at
string<date-time>
updated_at
string<date-time>
translation_key
translation_key · object
Example:
{
"id": "abcd1234cdef1234abcd1234cdef1234",
"name": "home.index.headline",
"description": "My description for this key...",
"name_hash": "1b31d2580ce324f246f66b3be00ed399",
"plural": false,
"use_ordinal_rules": false,
"tags": ["awesome-feature", "needs-proofreading"],
"data_type": "string",
"created_at": "2015-01-28T09:52:53Z",
"updated_at": "2015-01-28T09:52:53Z"
}